<?php
/**
 * Created by PhpStorm.
 * User: tuliomagalhaes
 * Date: 28/05/14
 * Time: 10:39
 */

namespace Factory;


class Structure
{

    function editStructure(\Zeedhi\DevOps\Model\Projectmanagement\Entities\Structure $entity, $name, $structureType,
                           $status, $structureParent = null, $timeSheetRequired = 'N')
    {
        $entity->setName($name);
        $entity->setStructureType($structureType);
        $entity->setStatus($status);
        $entity->setParent($structureParent);
        $entity->setTimeSheetRequired($timeSheetRequired);

        return $entity;
    }

    function createStructure($name, $structureType, $status, $structureParent = null, $timeSheetRequired='N')
    {
        $entity = new \Zeedhi\DevOps\Model\Projectmanagement\Entities\Structure();
        $entity->setName($name);
        $entity->setStructureType($structureType);
        $entity->setStatus($status);
        $entity->setParent($structureParent);
        $entity->setTimeSheetRequired($timeSheetRequired);

        return $entity;
    }
}